a{text-decoration: none;}
ul,ol,nav{ list-style: none;}
input {border: none; outline: none;}
btn,input[type="submit"]{cursor:pointer}
body,html{height: 100%;font-family: 'Ubuntu', sans-serif;}

:root
{
    --text-color-white: #fff;
    --text-color-green: #3CB878;
    --text-color-grey: #434343;
    --text-color-dark-blue: #022263;
    --text-color-dark-red: #AB1F09;
    --text-color-dark-green: #01813F;
    --text-color-form-placeholder: #BEBEBE;
    --font-size-default: 14px;
    --transition-default: ease-in-out .5s;
}

.bg-container
{
    background: rgb(201, 182, 182) url('../img/bg_main.png') no-repeat;
    background-size: cover;
    height: 100%;
   
}


.authorize-link,
.registr-link,
.modal-title-header,
.authorize-tab,
.register-tab,
.login-tab,
.btn,
.form-input::placeholder,
.custom-checkbox-text
{
    text-transform: capitalize;
}

/* top menu */
.top-menu
{
    position: relative;
}

/* затемнение */
.top-menu::before
{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 1;
    background: rgba(0,0,0,.4);
}

.top-menu-layer,
.right-top-menu,
.top-menu-link-list
{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.top-menu-layer
{
    padding: 18px 79px;
    position: relative;
    z-index: 2;
}

.logo-link:hover,
.authorize-link:hover,
.registr-link:hover
{
    color: var(--text-color-dark-green);
    transition: var(--transition-default);
}
.logo-link
{
    font-size: calc(var(--font-size-default) * 1.57);
    line-height: calc(var(--font-size-default) * 1.57);
    font-weight: 700;
    text-transform: uppercase;
    color: var(--text-color-white);
}

.top-menu-link-list
{
    /* padding: 0 25px; */
    /* margin-right: 25px; */
    border-right: 1px solid var(--text-color-white);
}
.top-menu-link
{
    width: 25px;
    height: 25px;
    margin-right: 25px;
}

.top-menu-autorize-block,
.authorize-link,
.registr-link,
.theme_toggle_wrapper /*added for theme switcher*/
{
    font-size: var(--font-size-default);
    line-height: var(--font-size-default);
    color: var(--text-color-white);
}

.top-menu-autorize-block
{
    margin-left: 25px;
    margin-right: 25px;
}

.top-menu-link:hover path
{
    fill: var(--text-color-green);
    transition: var(--transition-default);
}

/* modal window */
.modal-bg
{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    /* background: aqua; */
}
.modal-wrapper
{
    width: 444px;
    position: relative;
    top: calc(50%);
    transform: translateY(calc(-50% + (60px/2)));
    margin: auto;
    background: #fff;
    padding: 30px 60px 40px;
}

    /* green square */
.modal-wrapper::before
{
    content: '';
    width: 18px;
    height: 18px;
    background: var(--text-color-green);
    position: absolute;
    top:29px;
    left: 0;
}

.modal-auth,
.buttons-auth-block,
.sign-up-form
{
    display: flex;
    justify-content: space-between;
}

    /* auth tab */
.modal-auth
{
    align-items: flex-end;
}
.register-tab
{
    font-size: calc(var(--font-size-default) * 1.425);
    color: var(--text-color-grey);
}
.login-tab,
.terms-link
{
    font-size: var(--font-size-default);
    color: var(--text-color-green);
}
.login-tab:hover,
.terms-link:hover
{
    text-decoration: underline;
    color: var(--text-color-dark-green);
    transition: var(--transition-default);
}


    /* social buttons */
.buttons-auth-block
{
    margin: 15px 0 30px;
}
.buttons-auth-block .btn
{
    width: calc(50% - (8px/2))
}
.btn
{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 50px;
    border: none;
    border-radius: 4px;
    font-size: var(--font-size-default) * 1.143;
    /* padding: 10px 0; */
    text-align: center;
    color: var(--text-color-white)
}
.btn-blue
{
    background-color: #305DB8;
}
.btn-blue:hover
{
    background: var(--text-color-dark-blue);
    transition: var(--transition-default);
}
.btn-green
{
    background-color: #3CB878;
}
.btn-green:hover
{
    background-color: var(--text-color-dark-green);
    transition: var(--transition-default);
}

.btn-orange
{
    background-color: #DF4A32;
}
.btn-orange:hover
{
    background: var(--text-color-dark-red);
    transition: var(--transition-default);
}
.btn-icon-wrapper
{
    width: 50px;
    height: 50px;
    text-align: center;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.btn-icon
{
    width: 100%;
}

.btn-icon-wrapper:after
{
    content: '';
    width: 2px;
    height: 28px;
    background: rgba(43,13,9,.1);
}
.btn-text
{
   width: calc(100% - 2px - 50px);
   text-align: center;
}

    /* delimetr */
.delimetr-block
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
}
.delimetr-block::before,
.delimetr-block::after
{
    content: '';
    display: block;
    height: 1px;
    background: #f2f2f2;
    flex-grow: 2;
}

.delimetr-text
{
    font-size: var(--font-size-default);
    color: #848484;
    margin: 0 5px;
}

/* sign in form */
.sign-up-form
{
    flex-direction: column;
}
.form-element
{
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}
.form-input
{
    border: 1px solid #f2f2f2;
    padding: 15px 20px;
    border-radius: 4px;
    font-size: var(--font-size-default);
    color: var(--text-color-grey);
}
.form-input::placeholder
{
    color: var(--text-color-form-placeholder);
}
.form-input:focus
{
    box-shadow: 0 4px 8px 0 rgba(0,0,0,.21);
    transition: var(--transition-default);
}

.form-checkbox
{
    position: absolute;
    visibility: hidden;
    left: 0;
    z-index: -1;
}
.label-checkbox
{
    display: flex;
    align-items: center;
}
.label-checkbox:before
{
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    box-sizing: border-box;
    border: 1px solid #f2f2f2;
    margin-left: 5px;
    margin-right: 10px;
}
.label-checkbox::after
{
    /* content: url('../img/icons/checkbox_pointer.svg'); */
    content: '';
    position: absolute;
    margin-left: 7px;
    
}
/* .form-checkbox:checked ~ .custom-checkbox-wrapper::after */
.form-checkbox:checked + .label-checkbox::after
{
    content: url('../img/icons/checkbox_pointer.svg');
    transition: var(--transition-default);
    /* background: #000; */
   
    /* position: absolute; */
    /* visibility: hidden; */
}

    /* checkbox custom style */
/* .custom-checkbox-wrapper
{
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    box-sizing: border-box;
    border: 1px solid #f2f2f2;
    margin-left: 5px;
    margin-right: 10px;
} */
.custom-checkbox-text
{
    font-size: var(--font-size-default);
}

/* .custom-checkbox-wrapper::after
{
    content: url('../img/icons/checkbox_pointer.svg');
    visibility: hidden;
} */
/* .custom-checkbox-poiner
{
    position: absolute;
    top: 5px;
    bottom: 5px;
    left: 5px;
    width: 10px;
    height: 10px;
    background: var(--text-color-dark-green);
    box-sizing: border-box;
} */


/* theme switcher */
[name="theme_toggle"]
{
    padding: 5px;
    min-width: 70px;
    margin-left: 10px;
    text-transform: capitalize;
}

.dark-theme [name="theme_toggle"],
.dark-theme .form-input
{
    background-color: #444141;
    /* color: rgb(20, 18, 18); */
}

.dark-theme .modal-wrapper
{
    background-color: #6b6565;
    color: #fff;
}

.dark-theme [name="theme_toggle"],
.dark-theme .form-element,
.dark-theme .register-tab,
.dark-theme .delimetr-text
{
    color: #fff;
}

.dark-theme .form-input:focus
{
    box-shadow: 0 4px 8px 0 rgba(255, 255, 255,1);
}